--	///////////////////////////////////////////////////////////////////////////////////////////

--Omega Map Options Frame & Controls

--	///////////////////////////////////////////////////////////////////////////////////////////


OmegaMapOptionsFrame = {}
OmegaMapOptionsFrameFrame = {}
local spacing = -25

function OmegaMapOptionsFrame.Toggle()
	if (OmegaMapOptionsFrame.Frame:IsShown()) then
		OmegaMapOptionsFrame.Frame:Hide()
	else
		OmegaMapOptionsFrame.Frame:Show()
	end
end

OmegaMapOptionsFrame.Frame = CreateFrame("Frame", "OmegaMapOptionsFrame", UIParent)

function OmegaMapOptionsFrame_init()
	--Frames
	OmegaMapOptionsFrame.Frame:Hide()
	OmegaMapOptionsFrame.Frame:ClearAllPoints()
	OmegaMapOptionsFrame.Frame:SetPoint("CENTER");
	OmegaMapOptionsFrame.Frame:SetWidth(600)
	OmegaMapOptionsFrame.Frame:SetHeight(600)
	OmegaMapOptionsFrame.Frame:SetFrameStrata("DIALOG")
	OmegaMapOptionsFrame.Frame:SetMovable(true)
	OmegaMapOptionsFrame.Frame:SetScript("OnLoad", function(self) tinsert(UISpecialFrames, self:GetName()) end)

	OmegaMapOptionsFrame.Frame:SetBackdrop({
			bgFile = "Interface/Tooltips/UI-Tooltip-Background",
			edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
			tile = true, tileSize = 32, edgeSize = 16,
			insets = { left = 5, right = 5, top = 5, bottom = 5 }
		})
	OmegaMapOptionsFrame.Frame:SetBackdropColor(0,0,0, 0.95)

	table.insert(UISpecialFrames, "BigTestFrame") -- make Frames Esc Sensitive by default
	--OmegaMapOptionsFrame.Frame:Show()

	OmegaMapOptionsFrame.Drag = CreateFrame("Button", "OmegaMapOptionsDragBar", OmegaMapOptionsFrame.Frame)
	OmegaMapOptionsFrame.Drag:SetPoint("TOPLEFT", OmegaMapOptionsFrame.Frame, "TOPLEFT", 10,25)
	OmegaMapOptionsFrame.Drag:SetPoint("TOPRIGHT", OmegaMapOptionsFrame.Frame, "TOPRIGHT", -10,25)
	OmegaMapOptionsFrame.Drag:SetHeight(22)
	OmegaMapOptionsFrame.Drag:SetNormalTexture("Interface\\FriendsFrame\\UI-FriendsFrame-HighlightBar")
	OmegaMapOptionsFrame.Drag:SetHighlightTexture("Interface\\FriendsFrame\\UI-FriendsFrame-HighlightBar")
	OmegaMapOptionsFrame.Drag:SetScript("OnMouseDown", function() OmegaMapOptionsFrame.Frame:StartMoving() end)
	OmegaMapOptionsFrame.Drag:SetScript("OnMouseUp", function() OmegaMapOptionsFrame.Frame:StopMovingOrSizing() end)
	OmegaMapOptionsFrame.Drag:SetText(" Items Found.")
	--OmegaMapOptionsFrame.Frame.Drag:SetNormalFontObject("GameFontHighlightHuge")

	OmegaMapOptionsFrame.Done = CreateFrame("Button", "OmegaMapOptionsDoneButton", OmegaMapOptionsFrame.Frame, "OptionsButtonTemplate")
	OmegaMapOptionsFrame.Done:SetPoint("BOTTOMRIGHT", OmegaMapOptionsFrame.Frame, "BOTTOMRIGHT", -10, 10)
	OmegaMapOptionsFrame.Done:SetScript("OnClick", function() OmegaMapOptionsFrame.Frame:Hide() end)
	OmegaMapOptionsFrame.Done:SetText(DONE)

	OmegaMapOptionsFrame.Title = OmegaMapOptionsFrame.Frame:CreateFontString("Title")
	OmegaMapOptionsFrame.Title:SetPoint("Center", OmegaMapOptionsFrame.Frame, "TOP", 0, -25)
	OmegaMapOptionsFrame.Title:SetFontObject("GameFontHighlight")
	OmegaMapOptionsFrame.Title:SetText("Omega Map Options")

	OmegaMapOptionsFrame.Coords = CreateFrame("CheckButton", "OmegaMapOptionsCoordsCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.Coords:SetPoint("TOPLEFT", 200, -65);
	getglobal(OmegaMapOptionsFrame.Coords:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_COORDS);
	OmegaMapOptionsFrame.Coords.tooltip = OMEGAMAP_OPTIONS_COORDS_TOOLTIP;
	OmegaMapOptionsFrame.Coords:SetChecked(OmegaMapConfig.showCoords)
	OmegaMapOptionsFrame.Coords:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.Coords:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showCoords = true;
			OmegaMapCoordinates:Show()
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showCoords = false;
			OmegaMapCoordinates:Hide()
		end					
	  end
	);

	--Break into seperate checkboxes at a later date
	OmegaMapOptionsFrame.Gathering = CreateFrame("CheckButton", "OmegaMapOptionsGatheringCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.Gathering:SetPoint("TOPLEFT", OmegaMapOptionsFrame.Coords, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.Gathering:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_GATHERING);
	OmegaMapOptionsFrame.Gathering.tooltip = OMEGAMAP_OPTIONS_GATHERING_TOOLTIP ;
	OmegaMapOptionsFrame.Gathering:SetChecked(OmegaMapConfig.showGatherer)
	OmegaMapOptionsFrame.Gathering:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.Gathering:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showGatherer = true;
			OmegaMapConfig.showGatherMate = true;
			
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showGatherer = false;
			OmegaMapConfig.showGatherMate = false;
		end	
		OmegaMapFrame_Update()
	  end
	);

	OmegaMapOptionsFrame.Routes = CreateFrame("CheckButton", "OmegaMapOptionsRoutesCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.Routes:SetPoint("TOPLEFT", OmegaMapOptionsFrame.Gathering, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.Routes:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_ROUTES);
	OmegaMapOptionsFrame.Routes.tooltip = OMEGAMAP_OPTIONS_ROUTES_TOOLTIP;
	OmegaMapOptionsFrame.Routes:SetChecked(OmegaMapConfig.showRoutes)
	OmegaMapOptionsFrame.Routes:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.Routes:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showRoutes = true;
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showRoutes = false;
			if ( Routes ) then
				Routes.G:HideLines(RoutesOmegaMapOverlay)
				if (BattlefieldMinimap) then
					-- The Blizzard addon "Blizzard_BattlefieldMinimap" is loaded
					Routes.G:HideLines(BattlefieldMinimap)
					bfh, bfw = BattlefieldMinimap:GetHeight(), BattlefieldMinimap:GetWidth()
				end
			end
		end
		OmegaMapFrame_Update()
	  end
	);

	OmegaMapOptionsFrame.TomTom = CreateFrame("CheckButton", "OmegaMapOptionsTomTomCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.TomTom:SetPoint("TOPLEFT", OmegaMapOptionsFrame.Routes, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.TomTom:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_TOMTOM);
	OmegaMapOptionsFrame.TomTom.tooltip = OMEGAMAP_OPTIONS_TOMTOM_TOOLTIP;
	OmegaMapOptionsFrame.TomTom:SetChecked(OmegaMapConfig.showTomTom)
	OmegaMapOptionsFrame.TomTom:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.TomTom:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showTomTom = true;
			if TomTom then
			TomTomOmegaMapOverlay:Show();
			end

		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showTomTom = false;
			if TomTom then
			TomTomOmegaMapOverlay:Hide();
			end
		end
		OmegaMapFrame_Update()
	  end
	);

	OmegaMapOptionsFrame.CTMap = CreateFrame("CheckButton", "OmegaMapOptionsCTMapCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.CTMap:SetPoint("TOPLEFT", OmegaMapOptionsFrame.TomTom, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.CTMap:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_CTMOD);
	OmegaMapOptionsFrame.CTMap.tooltip = OMEGAMAP_OPTIONS_CTMOD_TOOLTIP;
	OmegaMapOptionsFrame.CTMap:SetChecked(OmegaMapConfig.showCTMap)
	OmegaMapOptionsFrame.CTMap:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.CTMap:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showCTMap = true;
			if ( CT_MapMod ) then
				CTMapOmegaMapOverlay:Show()
			end
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showCTMap = false;
			if ( CT_MapMod ) then
				CTMapOmegaMapOverlay:Hide()
			end
		end

	  end
	);

	OmegaMapOptionsFrame.MapNotes = CreateFrame("CheckButton", "OmegaMapOptionsMapNotesCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.MapNotes:SetPoint("TOPLEFT", OmegaMapOptionsFrame.CTMap, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.MapNotes:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_MAPNOTES);
	OmegaMapOptionsFrame.MapNotes.tooltip = OMEGAMAP_OPTIONS_MAPNOTES_TOOLTIP;
	OmegaMapOptionsFrame.MapNotes:SetChecked(OmegaMapConfig.showMapNotes)
	OmegaMapOptionsFrame.MapNotes:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.MapNotes:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showMapNotes = true;
			if ( MapNotes ) then
				MapNotesOmegaMapOverlay:Show()
			end
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showMapNotes = false;
			if ( MapNotes ) then
				MapNotesOmegaMapOverlay:Hide()
			end
		end

	  end
	);

	OmegaMapOptionsFrame.AlphaSliderTog = CreateFrame("CheckButton", "OmegaMapOptionsAphaCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.AlphaSliderTog:SetPoint("TOPLEFT", OmegaMapOptionsFrame.MapNotes, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.AlphaSliderTog:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_ALPHA);
	OmegaMapOptionsFrame.AlphaSliderTog.tooltip = OMEGAMAP_OPTIONS_ALPHA_TOOLTIP;
	OmegaMapOptionsFrame.AlphaSliderTog:SetChecked(OmegaMapConfig.showAlpha)
	OmegaMapOptionsFrame.AlphaSliderTog:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.AlphaSliderTog:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showAlpha = true;
			OmegaMapSliderFrame:Show()
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showAlpha = false;
			OmegaMapSliderFrame:Hide()
		end
	  end
	);

	OmegaMapOptionsFrame.ExteriorsTog = CreateFrame("CheckButton", "OmegaMapOptionsExteriorCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.ExteriorsTog:SetPoint("TOPLEFT", OmegaMapOptionsFrame.AlphaSliderTog, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.ExteriorsTog:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_ALTMAP);
	OmegaMapOptionsFrame.ExteriorsTog.tooltip = OMEGAMAP_OPTIONS_ALTMAP_TOOLTIP;
	OmegaMapOptionsFrame.ExteriorsTog:SetChecked(OmegaMapConfig.showExteriors)
	OmegaMapOptionsFrame.ExteriorsTog:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.ExteriorsTog:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showExteriors = true;
			OmegaMap_LoadAltMapNotes()

		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showExteriors = false;
			OmegaMap_HideAltMap()
		end
	  end
	);

	OmegaMapOptionsFrame.BG = CreateFrame("CheckButton", "OmegaMapOptionsBattlegroundCheckbox", OmegaMapOptionsFrame.Frame, "ChatConfigCheckButtonTemplate");
	OmegaMapOptionsFrame.BG:SetPoint("TOPLEFT", OmegaMapOptionsFrame.ExteriorsTog, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.BG:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_BG);
	OmegaMapOptionsFrame.BG.tooltip = OMEGAMAP_OPTIONS_BG_TOOLTIP;
	OmegaMapOptionsFrame.BG:SetChecked(OmegaMapConfig.showBattlegrounds)
	OmegaMapOptionsFrame.BG:SetScript("OnClick", 
	  function()
		if (OmegaMapOptionsFrame.BG:GetChecked() ) then
			PlaySound("igMainMenuOptionCheckBoxOn");
			OmegaMapConfig.showBattlegrounds = true;
			OmegaMap_LoadAltMapNotes()
		else
			PlaySound("igMainMenuOptionCheckBoxOff");
			OmegaMapConfig.showBattlegrounds = false;
			OmegaMapFrame_UpdateMap()
		end
	  end
	);




	OmegaMapOptionsFrame.ScaleSlider = CreateFrame("Slider", "OmegaMapOptionsScaleSlider", OmegaMapOptionsFrame.Frame, "OptionsSliderTemplate");
	OmegaMapOptionsFrame.ScaleSlider:SetPoint("TOPLEFT", OmegaMapOptionsFrame.BG, "BOTTOMLEFT", 0, spacing );
	getglobal(OmegaMapOptionsFrame.ScaleSlider:GetName() .. 'Text'):SetText(OMEGAMAP_OPTIONS_SCALE);
	OmegaMapOptionsFrame.ScaleSlider.tooltip = OMEGAMAP_OPTIONS_SCALE_TOOLTIP;
					
	getglobal(OmegaMapOptionsFrame.ScaleSlider:GetName().."High"):SetText("120");
	getglobal(OmegaMapOptionsFrame.ScaleSlider:GetName().."Low"):SetText("50");
	OmegaMapOptionsFrame.ScaleSlider:SetMinMaxValues(.50,1.20);
	OmegaMapOptionsFrame.ScaleSlider:SetValue(OmegaMapConfig.scale);
	OmegaMapOptionsFrame.ScaleSlider:SetValueStep(.01);
	OmegaMapOptionsFrame.ScaleSlider:SetScript("OnValueChanged",   
	  function()
		OmegaMapConfig.scale = OmegaMapOptionsFrame.ScaleSlider:GetValue();
		--OmegaMapFrame_SetOpacity(OMEGAMAP_SETTINGS.opacity);
		--AM_CurrentScale:SetText( math.floor( scale * 100 ).."%" );
		OmegaMapMasterFrame:SetScale( OmegaMapConfig.scale );
	  end
	);
		OmegaMapOptionsFrame.ScaleSlider:SetScript("OnEnter",   
	  function()
OmegaMapBlobFrame:DrawBlob(WORLDMAP_SETTINGS.selectedQuestId, false);
	  end
	);
		OmegaMapOptionsFrame.ScaleSlider:SetScript("OnLeave",   
	  function()
OmegaMapBlobFrame:DrawBlob(WORLDMAP_SETTINGS.selectedQuestId, true	);
	  end
	);
end